%define  patch_name kernel-fix-core

Name: %patch_name
Version: 2005.08.14
Release: alt1.M30.1
Summary: %patch_name kernel patch - fixes to core of Linux kernel
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildRequires: kernel-build-tools

# kernel 2.4 patches
%source  1	2.4_01_core-dmi-black-list-rh.patch		  	2.4
%source  4	2.4_04_dcache-switch_names.patch		  	2.4
%source  5	2.4_05_apic_quiet.patch					2.4
%source  6	2.4_06_drivers-parport-parport_cs-core-fix.patch	2.4
%source  7	2.4_07_fs-intermezzo-dir-core-fix.patch			2.4
%source  8	2.4_08_net-bluetooth-bnep-core-core-fix.patch		2.4
%source 34	2.4_34_mptable-bogus-panic.patch			2.4

# 2.6 patches

%source 50	2.6_50_2.6.0-move_security_syslog_to_sys_syslog.patch	2.6
%source 51	2.6_51_max_nested_links-8.patch				2.6
%source 52	2.6_52_headers-fix.patch				2.6
%source 53	2.6_53_remap_pfn_range-align.patch			2.6
%source 54	2.6_54_string-asm-clobbers.patch			2.6
%source 55	2.6_55_module-per-cpu-alignment-fix.patch		2.6
%source 56	2.6_56_powernow-dual-core-amd-oops.patch		2.6
%source 57	2.6_57_sys_get_thread_area-leak.patch			2.6
%source 58	2.6_58_sys_set_mempolicy-mode-check.patch		2.6
%source 59	2.6_59_x86_64-32bit-memleak.patch			2.6
%source 60	2.6_60_x86_64-fix-smpboot-timing-problem.patch		2.6
%source 61	2.6_61_x86_64-srat-dual-core-amd.patch			2.6
%source 62	2.6_62_avoid-recursive-oopses.patch			2.6
%source 63	2.6_63_nptl-signal-delivery-deadlock-fix.patch		2.6
%source 64	2.6_64_semundo-locking.patch				2.6
%source 65	2.6_65_irqpoll-2.6.12.patch				2.6

# common patches
%source 90	90_alt-init.patch

%description
This package contains patches with fixes to core of Linux kernel.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1.M30.1
- Added:
  + 2.6_62_avoid-recursive-oopses.patch: prevent recursive faults in do_exit()
    by leaving the task alone and wait for reboot
  + 2.6_63_nptl-signal-delivery-deadlock-fix.patch: NPTL signal delivery
    deadlock fix
  + 2.6_64_semundo-locking.patch: fix semundo lock leakage due to broken
    optimization for single-thread case
  + 2.6_65_irqpoll-2.6.12.patch: irqpoll (workaround for broken interrupt
    routing) backport to 2.6.12

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_55_module-per-cpu-alignment-fix.patch: do not BUG() when module per-cpu
    alignment cannot be met
  + 2.6_56_powernow-dual-core-amd-oops.patch: fix powernow oops on dual-core
    Athlon
  + 2.6_57_sys_get_thread_area-leak.patch: clear the returned argument in
    sys_get_thread_area()
  + 2.6_58_sys_set_mempolicy-mode-check.patch: check if mode < 0 in
    sys_set_mempolicy()
  + 2.6_59_x86_64-32bit-memleak.patch: x86_64: fix memleak from malicious 32bit
    elf program
  + 2.6_60_x86_64-fix-smpboot-timing-problem.patch: x86_64: fixing smpboot
    timing problem
  + 2.6_61_x86_64-srat-dual-core-amd.patch: x86_64: fix SRAT for non dual-core
    AMD systems

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_53_tasklist-locking-fix.patch
  - 2.6_54_rwsem-spinlock.patch
  - 2.6_55_uml-fix-syscall-table.patch
  - 2.6_56_security-keys-oops.patch
  - 2.6_57_rm-BUG-on-exit.patch
  - 2.6_58-driver_detach-fix.patch
  - 2.6_59_fix-get_unmapped_area-sanity-tests.patch
  - 2.6_60_x86_64-add-guard-page.patch
  - 2.6_61_x86_64-dont-lookup-page-of-pa-in-iounmap.patch
  - 2.6_62_x86_64-fix-canonical-checking.patch
  - 2.6_63_x86_64-ptrace-RIP-is-canonical.patch
  - 2.6_64_x86_64-vmalloc-mapping-dont-use-pte_page.patch
  - 2.6_65_fix-pte_unmap.patch
  - 2.6_66_x86_64-avoid-SMP-bootup-race.patch
  - 2.6_67_x86_64-fix-ptrace-boundary-check.patch
- Added:
  + 2.6_53_remap_pfn_range-align.patch: round size in remap_pfn_range() up to a
    page boundary
  + 2.6_54_string-asm-clobbers.patch: add "memory" clobbers to string.h
    functions to avoid memory access reordering by gcc

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_59_fix-get_unmapped_area-sanity-tests.patch: fix get_unmapped_area()
    sanity tests
  + 2.6_60_x86_64-add-guard-page.patch: x86_64: add a guard page at the end of
    the 47bit address space (workaround for CPU bug in AMD K8)
  + 2.6_61_x86_64-dont-lookup-page-of-pa-in-iounmap.patch: x86_64: don't look
    up struct page pointer of physical address in iounmap
  + 2.6_62_x86_64-fix-canonical-checking.patch: x86_64: fix canonical checking
    for segment registers in ptrace
  + 2.6_63_x86_64-ptrace-RIP-is-canonical.patch: x86_64: check if ptrace RIP is
    canonical
  + 2.6_64_x86_64-vmalloc-mapping-dont-use-pte_page.patch: x86_64: when
    checking vmalloc mappings don't use pte_page
  + 2.6_65_fix-pte_unmap.patch: fix try_to_unmap_cluster() passing
    out-of-bounds pte to pte_unmap()
  + 2.6_66_x86_64-avoid-SMP-bootup-race.patch: x86_64: keep interrupts disabled
    during smp bootup to avoid a race that breaks SMP bootup on some machines
  + 2.6_67_x86_64-fix-ptrace-boundary-check.patch: x86_64: don't allow accesses
    below register frame in ptrace

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_57_rm-BUG-on-exit.patch: remove bogus BUG() in kernel/exit.c
  + 2.6_58-driver_detach-fix.patch: fix driver_detach in case the release
    handler itself calls device_release_driver() for the next device (could
    cause hangs with some USB drivers like cdc-acm which bind to more than one
    interface)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_54_rwsem-spinlock.patch: make rwsems use interrupt disabling spinlocks
    (fixes deadlock in dio_complete())
  + 2.6_55_uml-fix-syscall-table.patch: fix syscall table for UML
  + 2.6_56_security-keys-oops.patch: fix SMP crash in security/keys/key.c

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_53_tasklist-locking-fix.patch: add missing unlock which caused hangs
    instead of reboot on SMP

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_015-vmscan_total_scanned.patch
  - 2.6_00_020-clear_cyrix_mii_ecx_reg.patch
  - 2.6_00_042-gx_get_cpuspeed_return_value.patch
  - 2.6_00_043-dothan_p4_get_frequency.patch
  - 2.6_00_055-uml_new_thread_race.patch
  - 2.6_00_079-i386_timer_resume_slowdown.patch
  - 2.6_00_080-kernel_sched_might_sleep_ignore_if_oopsed.patch
  - 2.6_00_083-x86_64_switch_mm_context_race.patch
  - 2.6_00_084-smp_nmi_watchdog_race.patch
  - 2.6_00_086-i386_cpufreq_powernow_k8_acpi_error.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_015-vmscan_total_scanned.patch
  + 2.6_00_020-clear_cyrix_mii_ecx_reg.patch
  + 2.6_00_042-gx_get_cpuspeed_return_value.patch
  + 2.6_00_043-dothan_p4_get_frequency.patch
  + 2.6_00_055-uml_new_thread_race.patch
  + 2.6_00_079-i386_timer_resume_slowdown.patch
  + 2.6_00_080-kernel_sched_might_sleep_ignore_if_oopsed.patch
  + 2.6_00_083-x86_64_switch_mm_context_race.patch
  + 2.6_00_084-smp_nmi_watchdog_race.patch
  + 2.6_00_086-i386_cpufreq_powernow_k8_acpi_error.patch

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2004.10.28-alt1
- Added for kernel 2.6:
    - 2.6_52_headers-fix.patch: fix for using kernel headers outside kernel (#5409)

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- Added for kernel 2.6:
    - 2.6_51_max_nested_links-8.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_35_free-pages-in-irq.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 2.4_35_vmalloc-error.patch
  - 2.4_36_mremap-oops-fix.patch
- Added:
  + 2.4_35_free-pages-in-irq.patch: fix page-free-at-IRQ context BUG (should
    fix the __free_pages() distcc oopses)

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Added:
  + 2.4_35_vmalloc-error.patch: fix vmalloc() error handling
  + 2.4_36_mremap-oops-fix.patch: mremap NULL pointer dereference fix

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Updated patches:
  - 2.4_01_core-dmi-black-list-rh.patch
- Removed obsolete patches (merged upstream):
  - 2.4_09_copy_namespace-fix.patch
  - 2.4_10_do_mounts-fix.patch
  - 2.4_11_attach_mnt-fix.patch
  - 2.4_12_console-switch-after-panic.patch
  - 2.4_13_panic-disable-blank.patch
  - 2.4_14_lapic-update-1.patch
  - 2.4_15_lapic-update-2.patch
  - 2.4_16_lapic-update-3.patch
  - 2.4_17_io-apic-avoid-smi.patch
  - 2.4_18_smp-irq-handling-race.patch
  - 2.4_19_ipc-init-order-fix.patch
  - 2.4_20_mm-checks-precedence-fix.patch
  - 2.4_21_unshare-init-files.patch
  - 2.4_22_panic-compile-fix.patch
  - 2.4_23_user-processes-acct-fix.patch
  - 2.4_25_smp-default-init-fix.patch
  - 2.4_26_mpparse-printk-fix.patch
  - 2.4_27_centrino-cache-size.patch
  - 2.4_29_init-argv0.patch
  - 2.4_30_PageReserved-count.patch
  - 2.4_31_page-flags-race.patch
  - 2.4_32_exec_usermodehelper-clear-all.patch
  - 2.4_33_mmap-noexec.patch

* Mon Feb 09 2004 Anton Farygin <rider@altlinux.ru> 2004.02.09-alt1
- 2.6 patches added

* Tue Dec 30 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.30-alt1
- Added:
  + 34_mptable-bogus-panic.patch: remove panic calls from MP table parsing code
    (MP table errors are not fatal, and the panic this early in the boot
    process is not visible).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 33_mmap-noexec.patch: do not allow mmap with PROT_EXEC if the filesystem
    was mounted with 'noexec'.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 90_alt-init.patch - fixed init program names (/sbin/init, /sbin/sash,
    /bin/sh), print init program name before attempting to start it.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 12_console-switch-after-panic.patch
  + 13_panic-disable-blank.patch
  + 14_lapic-update-1.patch
  + 15_lapic-update-2.patch
  + 16_lapic-update-3.patch
  + 17_io-apic-avoid-smi.patch
  + 18_smp-irq-handling-race.patch
  + 19_ipc-init-order-fix.patch
  + 20_mm-checks-precedence-fix.patch
  + 21_unshare-init-files.patch
  + 22_panic-compile-fix.patch
  + 23_user-processes-acct-fix.patch
  + 25_smp-default-init-fix.patch
  + 26_mpparse-printk-fix.patch
  + 27_centrino-cache-size.patch
  + 29_init-argv0.patch
  + 30_PageReserved-count.patch
  + 31_page-flags-race.patch
  + 32_exec_usermodehelper-clear-all.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Renamed patch files (added numeric prefixes).
- Added 09_copy_namespace-fix.patch: Fix far too small kmalloc in
  copy_namespace and promote errors properly.
- Added 10_do_mounts-fix.patch: Fix initrd with netboot (really not only with
  netboot - romfs initrd with builtin ext2 had the same problem).
- Added 11_attach_mnt-fix.patch: attach_mnt() fix to make copy_namespace() work
  correctly.

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2003.09.02-alt2
- fix for bug #2963 (Lost directory into %_usrsrc)

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed included to mainstream patches
- added build requires

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.15-alt1
- added 05_apic_quiet.patch.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.11-alt1
- moved 05_i855-agp-patches.patch to fix-drivers-char.

* Fri Aug  8 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- added 05_i855-agp-patches.patch, adds 3d support in i855 boards.
- added dots in changelog.

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- moved spec to install_patches format.
- added 04_dcache-switch_names.patch, that fixes start-stop-daemon.

* Mon Jul 29 2003 Ed V. Bartosh <ed@altlinux.ru> 2003.07.29-alt1
- fixed 'lost interrupt' IO-APIC bug (03_io-apic-resend-irq.patch).

* Sun Jun 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt2
- updated to 2.4.21 release.

* Wed Jun 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt1
- added new patches for rc7 to build.

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.23-alt1
- update dmi blacklist.

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- new package.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt3
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES 
  defined. (thanks to ed)

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt2
- fixed apply script

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

